import request from '../../utils/request'
/**
 * 获取预约课管理统计
 */
export function GetAppointmentPlanStat(data) {
    return request({
        url: '/TeacherClass/GetAppointmentPlanStat',
        method: 'post',
        data
    })
}
/**
 * 获取约课配置
 */
export function GetAppointmentConfig(data) {
    return request({
        url: '/Scroll/GetAppointmentConfig',
        method: 'post',
        data
    })
}
/**
 * 获取老师的空闲上课时段
 */
export function GetCanTeacherClassTimeList(data) {
    return request({
        url: '/Scroll/GetCanTeacherClassTimeList',
        method: 'post',
        data
    })
}
/**
 * 获取可预约的学生列表
 */
export function GetCanAppointmentStuList(data) {
    return request({
        url: '/Scroll/GetCanAppointmentStuList',
        method: 'post',
        data
    })
}
/**
 * 获取预约学生的详情
 */
export function GetStuAppointmentInfo(data) {
    return request({
        url: '/Scroll/GetStuAppointmentInfo',
        method: 'post',
        data
    })
}
/**
 * 后台约课
 */
export function SetAdminScrollAppointment(data) {
    return request({
        url: '/Scroll/SetAdminScrollAppointment',
        method: 'post',
        data
    })
}
/**
 * 后台取消预约
 */
export function CancelAppointment(data) {
    return request({
        url: '/Scroll/CancelAppointment',
        method: 'post',
        data
    })
}
/**
 * 后台确认约课
 */
export function SetSureAppointment(data) {
    return request({
        url: '/Scroll/SetSureAppointment',
        method: 'post',
        data
    })
}
/**
 * 学生合并
 */
export function SetAppointmentStuTransfer(data) {
    return request({
        url: '/Scroll/SetAppointmentStuTransfer',
        method: 'post',
        data
    })
}
/**
 * 获取可重上课的学生列表
 */
export function getCanAppointmentAgainList(data) {
    return request({
        url: '/Scroll/GetCanAppointmentAgainList',
        method: 'post',
        data
    })
}
/**
 * 学员重上课
 */
export function setAppointmentAgain(data) {
    return request({
        url: '/Scroll/SetAppointmentAgain',
        method: 'post',
        data
    })
}
/**
 * 获取可补课学生列表
 */
export function getCanMakeupStuList(data) {
    return request({
        url: '/Scroll/GetCanMakeupStuList',
        method: 'post',
        data
    })
}
/**
 * 学员补课
 */
export function setAppointmentMakeup(data) {
    return request({
        url: '/Scroll/SetAppointmentMakeup',
        method: 'post',
        data
    })
}

////////////////////////新版////////////////////////
/**
 * 获取可预约的学生列表（包含正常上课 重上课）
 */
export function getCanAppointmentStuList_V2(data) {
    return request({
        url: '/Scroll/GetCanAppointmentStuList_V2',
        method: 'post',
        data
    })
}

/**
 * 新增约课
 */
export function setAdminScrollAppointment_V2(data) {
    return request({
        url: '/Scroll/SetAdminScrollAppointment_V2',
        method: 'post',
        data
    })
}

/**
 * 新增约课
 */
export function setAdminScrollAppointment_V3(data) {
    return request({
        url: '/Scroll/SetAdminScrollAppointment_V3',
        method: 'post',
        data
    })
}

/**
 * 补录约课
 */
export function setAdminScrollMakeUp(data) {
    return request({
        url: '/Scroll/SetAdminScrollMakeUp',
        method: 'post',
        data
    })
}
/**
 * 取消已确认的约课
 */
export function cancelSureAppointment(data) {
    return request({
        url: '/Scroll/CancelSureAppointment',
        method: 'post',
        data
    })
}
/**
 * 调整上课教室
 */
export function SetScrollRoom(data) {
    return request({
        url: '/Scroll/SetScrollRoom',
        method: 'post',
        data
    })
}
/**
 * 获取上课章节名称
 */
export function getScrollCourseChapterName(data) {
    return request({
        url: 'Scroll/GetScrollCourseChapterName',
        method: 'post',
        data
    })
}

/**
 * 调整约课老师
 */
export function SetScrollTeacher(data) {
    return request({
        url: '/Scroll/SetScrollTeacher',
        method: 'post',
        data
    })
}